function n = sortTopicSegments(scores,imageNdx)
% n = sortTopicSegments(scores,imageNdx)
%
% Sort the soup of segments based on their similarity scores to a
% discovered topic.  The sorting only returns one segment per image.
%
% Inputs:
% scores - Similarity scores (e.g. KL divergence), given as a vector.  
% imageNdx - Image indices for each segment.
%
% Outputs:
% n - Sorted segment indices.

[v,n] = sort(scores);

if nargin > 1
  n = n(end:-1:1);
  [v,m] = unique(imageNdx(n));
  n = n(sort(m,'descend'));
end
