function F = wordFrequencyMatrix(V,visualWords,merge)
% F = wordFrequencyMatrix(V,visualWords,merge)
%
% Compute word-frequency matrix (i.e. word counts for each document).
%
% Inputs:
% V - Vocabulary size.
% visualWords - Vector of visual words.
% merge - Segment/visual words merge structure.
%
% Outputs:
% F - word-document histogram, where each column corresponds to a
%   document.

if nargin < 3
  F = hist(visualWords,1:V)';
else
  for i = 1:length(merge)
    F(:,i) = hist(visualWords(merge(i).wordsNdx),1:V);
  end
end
